mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
external-controller: 127.0.0.1:9090
tun:
  enable: true
  stack: system
  auto-route: true
  auto-detect-interface: true
  dns-hijack:
    - any:53
dns:
  enable: true
  ipv6: false
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 8.8.8.8
    - 1.1.1.1
  nameserver:
    - https://doh.pub/dns-query
    - https://1.0.0.1/dns-query
  fallback:
    - tcp://9.9.9.9:53
  fake-ip-filter:
    - "*.lan"
    - localhost
    - "*.local"
rules:
  - GEOIP,Private,DIRECT
  - MATCH,Proxy

proxies:
    - client-fingerprint: chrome
      flow: xtls-rprx-vision
      name: vless-reality-42982
      port: 42982
      reality-opts:
        public-key: ZPunA0luOUgcT5tlICJxdQlJOxewcV-48pssHwpFsGA
        short-id: ""
      server: 172.245.18.48
      servername: www.microsoft.com
      tls: true
      type: vless
      uuid: faf4fbe9-bb02-4c9a-87d2-27f88a4cdc38
    - alpn:
        - h3
        - h2
        - http/1.1
      down: 1000
      name: hysteria2-10950
      password: wEmbeZk6Ay
      port: 10950
      server: 172.245.18.48
      servername: www.microsoft.com
      skip-cert-verify: true
      tls: true
      type: hysteria2
      up: 1000
    - alpn:
        - h3
        - h2
        - http/1.1
      congestion-controller: bbr
      name: tuic-20255
      password: wEmbeZk6Ay
      port: 20255
      server: 172.245.18.48
      servername: www.microsoft.com
      skip-cert-verify: true
      tls: true
      type: tuic
      uuid: faf4fbe9-bb02-4c9a-87d2-27f88a4cdc38
    - name: vless-40001-cf
      network: ws
      port: 443
      tls: true
      server: node1.academic.dpdns.org
      type: vless
      uuid: faf4fbe9-bb02-4c9a-87d2-27f88a4cdc38
      ws-opts:
        early-data-header-name: Sec-WebSocket-Protocol
        path: /vless
    - name: trojan-40003-cf
      network: ws
      password: wEmbeZk6Ay
      tls: true
      port: 443
      server: node3.academic.dpdns.org
      type: trojan
      ws-opts:
        early-data-header-name: Sec-WebSocket-Protocol
        path: /trojan
    - alterId: 0
      cipher: auto
      name: vmess-40002-cf
      tls: true
      network: ws
      port: 443
      server: node2.academic.dpdns.org
      type: vmess
      uuid: faf4fbe9-bb02-4c9a-87d2-27f88a4cdc38
      ws-opts:
        early-data-header-name: Sec-WebSocket-Protocol
        path: /vmess
proxy-groups:
    - name: Proxy
      proxies:
        - Auto
        - vless-reality-42982
        - hysteria2-10950
        - tuic-20255
        - vless-40001-cf
        - trojan-40003-cf
        - vmess-40002-cf
      type: select
    - interval: 300
      name: Auto
      proxies:
        - vless-reality-42982
        - hysteria2-10950
        - tuic-20255
        - vless-40001-cf
        - trojan-40003-cf
        - vmess-40002-cf
      tolerance: 50
      type: url-test
      url: http://www.gstatic.com/generate_204
